#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

#define PORT 3424

int main(){
	struct sockaddr_in server;

	server.sin_family = AF_INET;
	server.sin_port = htons((u_short)PORT);
	server.sin_addr.s_addr = INADDR_ANY;

	int sock = socket( AF_INET, SOCK_STREAM, 0 );
	if( bind( sock, ( struct sockaddr* ) &server, sizeof( server ) ) == -1 ){
		printf("ERROR: Un server potrebbe gi essere in esucuzione sulla tua macchina...\n");
		return 1;
	}
	if( listen( sock, 3 ) == -1 ){
		printf("ERROR: 'listen'\n");
		return 1;
	}
	int new_client;
	struct sockaddr_in client;
	int size1 = sizeof( client );
	printf("In attesa di connessioni dai client...\n");
	if((new_client = accept( sock, ( struct sockaddr* ) &client, &size1 ) ) == -1 ){
		printf("ERROR: 'accept'\n");
		return 1;
	}
	printf("Un client si  connesso!\a\n");
	char messaggio[ 50 ];
	recv( new_client, messaggio, sizeof(messaggio), 0);
	printf("Messaggio ricevuto: %s\n", messaggio);
	close( new_client );
	close( sock );
	return 0;
}
